Class Index | File Index

## Classes

- _global_
- FontObject
- jsPDF
- PubSub

# Class FontObject

Defined in: jspdf.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| FontObject() FontObject describes a particular font as member of an instnace of jsPDF It's a collection of properties like 'id' (to be used in PDF stream), 'fontName' (font's family name), 'fontStyle' (font's style variant label)

Field Summary
Field Attributes | Field Name and Description
--- | ---
| encoding Encoding_name-to-Font_metrics_object mapping.
| id PDF-document-instance-specific label assinged to the font.
| PostScriptName PDF specification full name for the font

Class Detail
FontObject()
FontObject describes a particular font as member of an instnace of jsPDF It's a collection of properties like 'id' (to be used in PDF stream), 'fontName' (font's family name), 'fontStyle' (font's style variant label)
Field Detail
encoding
Encoding_name-to-Font_metrics_object mapping.

id
PDF-document-instance-specific label assinged to the font.

PostScriptName
PDF specification full name for the font

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Oct 15 2012 22:41:49 GMT-0700 (PDT)